# Poco

# class HexBinaryEncoderIOS

Library: Foundation
Package: Streams
Header: Poco/HexBinaryEncoder.h

## Description

The base class for HexBinaryEncoder.

This class is needed to ensure the correct initialization order of the stream buffer and base classes.

## Inheritance

Direct Base Classes: std::ios

All Base Classes: std::ios

Known Derived Classes: HexBinaryEncoder

## Member Summary

Member Functions: close, rdbuf

## Constructors

### HexBinaryEncoderIOS

HexBinaryEncoderIOS(
std::ostream & ostr
);

## Destructor

### ~HexBinaryEncoderIOS

~HexBinaryEncoderIOS();

## Member Functions

### close

int close();

### rdbuf

HexBinaryEncoderBuf * rdbuf();

## Variables

### _buf

HexBinaryEncoderBuf _buf;